> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Custom Domain

> Removes a custom domain configuration from an organization.

`Unary` · [`Organizations`](https://ona.com/docs/api-reference/generated/organization/overview)

Removes a custom domain configuration from an organization.

Use this method to:

* Disable custom domain functionality
* Remove outdated configurations
* Clean up unused domains

### Examples

* Delete custom domain configuration:

  Removes a specific custom domain configuration.

  ```yaml theme={null}
  organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.OrganizationService/DeleteCustomDomain
```

Send a Bearer token as described in [Authentication](https://ona.com/docs/api-reference.md#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

```bash cURL theme={null}
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>

curl --request POST \
  --url "$ONA_HOST/api/gitpod.v1.OrganizationService/DeleteCustomDomain" \
  --header "Authorization: Bearer $ONA_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "organizationId": "<organization-id>"
}'
```

```python Python theme={null}
import gitpod.v1.organization_pb2 as organization_pb2
from ona_sdk import create_client_from_env

ona = create_client_from_env()
request = organization_pb2.DeleteCustomDomainRequest(
    organization_id="<organization-id>",
)
response = ona.services.organization.delete_custom_domain(request)
print(response)
```

```typescript TypeScript theme={null}
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { DeleteCustomDomainRequestSchema } from "@gitpod/sdk/gitpod/v1/organization_pb";

async function main() {
  const ona = createClientFromEnv();
  const request = create(DeleteCustomDomainRequestSchema, {
    organizationId: "<organization-id>",
  });
  const response = await ona.services.organization.deleteCustomDomain(request);
  console.log(response);
}

main().catch(console.error);
```

```go Go theme={null}
package main

import (
	"context"
	"fmt"
	"log"

	"connectrpc.com/connect"
	"github.com/gitpod-io/gitpod-sdk-go/sdk"
	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
)

func main() {
	ona, err := sdk.NewFromEnv()
	if err != nil {
		log.Fatal(err)
	}

	request := connect.NewRequest(&gitpodpb.DeleteCustomDomainRequest{
		OrganizationId: "<organization-id>",
	})
	response, err := ona.Services.Organization.DeleteCustomDomain(context.Background(), request)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(response.Msg)
}
```

```json Request body theme={null}
{
  "organizationId": "<organization-id>"
}
```

## Request

`gitpod.v1.DeleteCustomDomainRequest`

DeleteCustomDomainRequest is the request message for deleting a custom domain

| Field | Type | Required | Description |
| - | - | - | - |
| `organizationId` | string | Yes | organization\_id is the ID of the organization to delete custom domain for Constraints: `required=true, string.uuid=true`. |

## Response

`gitpod.v1.DeleteCustomDomainResponse`

DeleteCustomDomainResponse is the response message for deleting a custom domain

This message has no fields.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.